{
	"name": "form/nc/financial-statement/financial-statement.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "financial_statement"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-header",
						"text": "Reports",
						"attribute": {
							"size": "big"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"attribute": {
					"class": ["nc-margin-top", "nc-align-top"]
				},
				"element": [
					{
						"component": "nc-col",
						"element": [
							{
								"component": "nc-col",
								"attribute": {
									"width": "4/5",
									"style": "min-width: 20em;"
								},
								"element": [
									{
										"component": "nc-row",
										"attribute": {
											"class": ["nc-end-h"],
											"style": "display: flex; width: 100%; gap: 0.5em;"
										},
										"element": [
											{
												"component": "nc-button",
												"text": "Upload",
												"attribute": {
													"model": "rec.button_upload"
												}
											},
											{
												"component": "nc-button",
												"text": "Create",
												"attribute": {
													"model": "rec.button_create"
												}
											},
											{
												"component": "nc-button",
												"text": "Delete",
												"attribute": {
													"model": "rec.button_delete"
												}
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-label-dropdown",
												"text": "Financial reports",
												"attribute": {
													"model": "rec.dropdown"
												}
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-grid",
												"attribute": {
													"id": "report_list",
													"height": "calc(60vh - 7.3em)",
													"model": "grid.report_list"
												}
											},
											{
												"component": "nc-row",
												"element": [
													{
														"component": "nc-grid",
														"attribute": {
															"id": "report_list",
															"height": "calc(40vh - 7.3em)",
															"model": "grid.report_list"
														}
													}
												]
											}
										]
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1em"
								},
								"element": [
									{
										"component": "nc-line-v",
										"attribute": {
											"class": ["nc-margin-left"]
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "auto"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-col",
												"attribute": {
													"width": "auto"
												},
												"element": [
													{
														"component": "nc-icon",
														"attribute": {
															"icon": "file-pdf"
														}
													},
													{
														"component": "nc-translate",
														"text": "PDF Preview",
														"attribute": {
															"model": "hdr.pdf_preview"
														}
													}
												]
											},
											{
												"component": "nc-col",
												"attribute": {
													"class": ["nc-margin-left", "nc-end-h"]
												},
												"element": [
													{
														"component": "nc-button",
														"attributes": {
															"class": ["nc-button-wide"],
															"v-on:click": "printPDF()",
															"model": "rec.pdf_print"
														},
														"element": [
															{
																"component": "nc-icon",
																"attribute": {
																	"icon": "print"
																}
															},
															{
																"component": "nc-translate",
																"text": "Print PDF",
																"attribute": {
																	"model": "hdr.pdf.print"
																}
															}
														]
													}
												]
											}
										]
									},
									{
										"component": "nc-row",
										"element": [
											{
												"component": "nc-pdf-viewer",
												"attribute": {
													"model": "rec.pdf_viewer",
													"style": "height: calc(100vh - 11.5em);"
												}
											}
										]
									}
								]
							}
						]
					}
				]
			}
		]
	}
}
